MPD 0.19.10

- Main Page
- Files

- File List
- Globals

Functions
poison.h File Reference
`#include "check.h"`
`#include <string.h>`

Go to the source code of this file.

## Functions
static void | poison_noaccess (void *p, size_t length)
| Poisons the specified memory area and marks it as "not accessible". More...
static void | poison_undefined (void *p, size_t length)
| Poisons the specified memory area and marks it as "not defined". More...

## Function Documentation

static void poison_noaccess | ( | void * | p,
|  | size_t | length
| ) |  |
| inline static

Poisons the specified memory area and marks it as "not accessible".

Parameters

  p | pointer to the memory area
  length | number of bytes to poison

Definition at line 41 of file poison.h.

static void poison_undefined | ( | void * | p,
|  | size_t | length
| ) |  |
| inline static

Poisons the specified memory area and marks it as "not defined".

Parameters

  p | pointer to the memory area
  length | number of bytes to poison

Definition at line 62 of file poison.h.